Table of Contents

Class GetResponseBodyCommandResponse

Namespace
OpenQA.Selenium.DevTools.V146.Fetch
Assembly
Selenium.WebDriver.dll

Response for Causes the body of the response to be received from the server and returned as a single string. May only be issued for a request that is paused in the Response stage and is mutually exclusive with takeResponseBodyForInterceptionAsStream. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior. Note that the response body is not available for redirects. Requests paused in the redirect received state may be differentiated by responseCode and presence of location response header, see comments to requestPaused for details.

public sealed class GetResponseBodyCommandResponse : ICommandResponse<GetResponseBodyCommandSettings>, ICommandResponse
Inheritance
GetResponseBodyCommandResponse
Implements
Inherited Members
Extension Methods

Properties

Base64Encoded

True, if content was sent as base64.

[JsonPropertyName("base64Encoded")]
public bool Base64Encoded { get; set; }

Property Value

bool

Body

Response body.

[JsonPropertyName("body")]
public string Body { get; set; }

Property Value

string